DominoConnection (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.DominoConnection interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface DominoConnection

All Superinterfaces:
  LogicalContent, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface DominoConnection

extends LogicalContent

Represents a connection document in the ($connections) view in the names.nsf database.

Naming Rules:
  0="parent,connectionType,source,destination"
Persistable:
  true
Table Name:
  DOMINOCON
Display Name:
  parent,connectionType,source,destination

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.LogicalContent
`IBM_COPYRIGHT`

Method Summary
`int` | `getConnectionPriority()` Represents the field "RepPriority" in the connection document.
`int` | `getConnectionType()` Represents the field "ConnectionType" in the connection document.
`java.lang.String` | `getDestination()` Represents the field "Destination" in connection document.
`java.lang.String` | `getDestinationDomain()` Represents the field "DestinationDomain" in the connection document
`java.lang.String` | `getOptionalNetworkAddress()` Represents the field "OptionalNetworkAddress" in the connection document
`DominoDomain` | `getParent()` Represents the domino domain this connection is part of.
`java.lang.String` | `getPorts()` Represents the field PortName in the connection document.
`java.lang.String` | `getSource()` Represents the field "source" in the connection document.
`java.lang.String` | `getSourceDomain()` Represents the field "SourceDomain" in the connection document.
`boolean` | `hasConnectionPriority()`
`boolean` | `hasConnectionType()`
`boolean` | `hasDestination()`
`boolean` | `hasDestinationDomain()`
`boolean` | `hasOptionalNetworkAddress()`
`boolean` | `hasParent()`
`boolean` | `hasPorts()`
`boolean` | `hasSource()`
`boolean` | `hasSourceDomain()`
`void` | `setConnectionPriority(int s)`
`void` | `setConnectionType(int s)`
`void` | `setDestination(java.lang.String s)`
`void` | `setDestinationDomain(java.lang.String s)`
`void` | `setOptionalNetworkAddress(java.lang.String s)`
`void` | `setParent(DominoDomain s)`
`void` | `setPorts(java.lang.String s)`
`void` | `setSource(java.lang.String s)`
`void` | `setSourceDomain(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.core.LogicalContent
`getChecksum, getConfigFile, getContent, getContentType, getFixedPath, getURI, hasChecksum, hasConfigFile, hasContent, hasContentType, hasFixedPath, hasURI, setChecksum, setConfigFile, setContent, setContentType, setFixedPath, setURI`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(DominoDomain s)

### getParent

    DominoDomain getParent()
                           throws AttributeNotSetException

  Represents the domino domain this connection is part of.

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="true"

### hasParent

    boolean hasParent()

### setConnectionType

    void setConnectionType(int s)

### getConnectionType

    int getConnectionType()
                          throws AttributeNotSetException

  Represents the field "ConnectionType" in the connection document.

  Throws:
    `AttributeNotSetException`

### hasConnectionType

    boolean hasConnectionType()

### setSource

    void setSource(java.lang.String s)

### getSource

    java.lang.String getSource()
                               throws AttributeNotSetException

  Represents the field "source" in the connection document.

  Throws:
    `AttributeNotSetException`

### hasSource

    boolean hasSource()

### setDestination

    void setDestination(java.lang.String s)

### getDestination

    java.lang.String getDestination()
                                    throws AttributeNotSetException

  Represents the field "Destination" in connection document.

  Throws:
    `AttributeNotSetException`

### hasDestination

    boolean hasDestination()

### setConnectionPriority

    void setConnectionPriority(int s)

### getConnectionPriority

    int getConnectionPriority()
                              throws AttributeNotSetException

  Represents the field "RepPriority" in the connection document.

  Throws:
    `AttributeNotSetException`

### hasConnectionPriority

    boolean hasConnectionPriority()

### setSourceDomain

    void setSourceDomain(java.lang.String s)

### getSourceDomain

    java.lang.String getSourceDomain()
                                     throws AttributeNotSetException

  Represents the field "SourceDomain" in the connection document.

  Throws:
    `AttributeNotSetException`

### hasSourceDomain

    boolean hasSourceDomain()

### setDestinationDomain

    void setDestinationDomain(java.lang.String s)

### getDestinationDomain

    java.lang.String getDestinationDomain()
                                          throws AttributeNotSetException

  Represents the field "DestinationDomain" in the connection document

  Throws:
    `AttributeNotSetException`

### hasDestinationDomain

    boolean hasDestinationDomain()

### setOptionalNetworkAddress

    void setOptionalNetworkAddress(java.lang.String s)

### getOptionalNetworkAddress

    java.lang.String getOptionalNetworkAddress()
                                               throws AttributeNotSetException

  Represents the field "OptionalNetworkAddress" in the connection document

  Throws:
    `AttributeNotSetException`

### hasOptionalNetworkAddress

    boolean hasOptionalNetworkAddress()

### setPorts

    void setPorts(java.lang.String s)

### getPorts

    java.lang.String getPorts()
                              throws AttributeNotSetException

  Represents the field PortName in the connection document.

  Throws:
    `AttributeNotSetException`

### hasPorts

    boolean hasPorts()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD